# UnbindSecurityGroupFromLoadBalancers

## 1. API Description

This API (UnbindSecurityGroupFromLoadBalancers) is used to batch disassociate security groups from load balancers.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type            | Description                                                |
| --------------- | -------- | --------------- | ---------------------------------------------------------- |
| loadBalancerIds | Yes      | Array of String | ID list of load balancers to disassociate security groups. |

## 3. Output Parameters

| Parameter Name        | Type            | Description                                                                                                           |
| --------------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId             | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| failedLoadBalancerIds | Array of String | ID list of load balancers failed to disassociate security groups.                                                     |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Batch disassociate security groups from load balancers.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnbindSecurityGroupFromLoadBalancers
<Common Request Params>

Request：
{
  "loadBalancerIds": [
    "<your lb id1>",
    "<your lb id2>"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "failedLoadBalancerIds": []
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
